using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableGrape : FarmableCrop
	{
		public static int GetCropID()
		{
			return Utility.RandomList( 0x0DB6, 0x0DB7 );
		}

		public override Item GetCropObject()
		{
			Grapes grape = new Grapes();

			grape.ItemID = 0x9D1;
			grape.Amount = 2;

			return grape;
		}

		public override int GetPickedID()
		{
			if ( GetCropID() == 0x0DB6 )
				return 0x0CEE;

			return 0x0CF2;
		}

		[Constructable]
		public FarmableGrape() : base( GetCropID() )
		{
			Name = "grape vine";
		}

		public FarmableGrape( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}